/** ###################################################################
**     THIS BEAN MODULE IS GENERATED BY THE TOOL. DO NOT MODIFY IT.
**     Filename  : AD1.H
**     Project   : comparateurQT4
**     Processor : MC68HC908QT4CP
**     Beantype  : ADC
**     Version   : Bean 01.205, Driver 01.61.01, CPU db: 2.87.106
**     Compiler  : Metrowerks HC08 C Compiler
**     Date/Time : 20/02/2005, 00:20
**     Abstract  :
**         This device "ADC" implements an A/D converter,
**         its control methods and interrupt/event handling procedure.
**     Settings  :
**         AD control register         : ADSCR       [60]
**         AD control register         : ADICLK      [63]
**         AD result register          : ADCres      [62]
**         Interrupt name              : INT_ADC
**         Interrupt enable reg.       : ADSCR       [60]
**         User handling procedure     : AD1_OnEnd
**         Number of conversions       : 1
**         AD resolution               : 8-bit
**
**         Input pins
**
**              Port name              : PTA
**              Bit number (in port)   : 5
**              Bit mask of the port   : 32
**              Port data register     : PTA         [0]
**              Port control register  : DDRA        [4]
**              Port function register : KBIER       [27]
**
**         Initialization:
**              Conversion             : Enabled
**              Event                  : Enabled
**         High speed mode
**             Prescaler               : divide-by-4
**     Contents  :
**         Measure  - byte AD1_Measure(bool WaitForResult);
**         GetValue - byte AD1_GetValue(void* Values);
**
**     (c) Copyright UNIS, spol. s r.o. 1997-2004
**     UNIS, spol. s r.o.
**     Jundrovska 33
**     624 00 Brno
**     Czech Republic
**     http      : www.processorexpert.com
**     mail      : info@processorexpert.com
** ###################################################################*/

#ifndef __AD1
#define __AD1

/*Include shared modules, which are used for whole project*/
#include "PE_Types.h"
#include "PE_Error.h"
#include "PE_Const.h"
#include "IO_Map.h"

/* MODULE AD1. */

#include "Cpu.h"


/* 32-type (Motorola format - big endian) */
typedef union {
   struct {
     word wh;
     word wl;
   } w;
   struct {
     word wh;
     byte high,low;
   } b;
} TDWREG;

void __interrupt AD1_Interrupt(void);
/*
** ===================================================================
**     Method      :  AD1_Interrupt (bean ADC)
**
**     Description :
**         This method is internal. It is used by Processor Expert
**         only.
** ===================================================================
*/


byte AD1_Measure(bool WaitForResult);
/*
** ===================================================================
**     Method      :  AD1_Measure (bean ADC)
**
**     Description :
**         This method performs one measurement from all channels
**         that are set in the bean inspector. (Note: If the <number
**         of conversions> is more than one the conversion of A/D
**         channels is performed so many times.)
**     Parameters  :
**         NAME            - DESCRIPTION
**         WaitForResult   - Wait for result of
**                           the conversion. If <interrupt service>
**                           is disabled, A/D peripheral doesn't
**                           support measuring of all channels at
**                           once or it isn't enabled (<Autoscan mode>
**                           property) and at the same time a <number
**                           of channel> is greater than 1, the
**                           parameter is ignored and the method
**                           waits for result every time then. If
**                           <interrupt service> is disabled and a
**                           <number of conversions> is greater than
**                           1, the parameter is ignored and the
**                           method waits for result every time then
**                           as well.
**     Returns     :
**         ---             - Error code, possible codes:
**                           ERR_OK - OK
**                           ERR_SPEED - This device does not work in
**                           the active speed mode
**                           ERR_DISABLED - Device is disabled
**                           ERR_BUSY - A conversion is already
**                           running
** ===================================================================
*/

byte AD1_GetValue(void *Values);
/*
** ===================================================================
**     Method      :  AD1_GetValue (bean ADC)
**
**     Description :
**         Return the last measured values of all channels.
**     Parameters  :
**         NAME            - DESCRIPTION
**       * Values          - Pointer to array that contains
**                           the measured data. Data type is byte,
**                           word or int. It depends on supported
**                           modes, resolution, etc. of the AD
**                           convertor. See Version specific
**                           information for the current CPU in
**                           <General Info>.
**     Returns     :
**         ---             - Error code, possible codes:
**                           ERR_OK - OK
**                           ERR_SPEED - This device does not work in
**                           the active speed mode
**                           ERR_NOTAVAIL - Requested value not
**                           available
**                           ERR_OVERRUN - External trigger overrun
**                           flag was detected after last value(s)
**                           was obtained (for example by GetValue).
**                           This error may not be supported on some
**                           CPUs (see generated code).
** ===================================================================
*/

void AD1_Init(void);
/*
** ===================================================================
**     Method      :  AD1_Init (bean ADC)
**
**     Description :
**         This method is internal. It is used by Processor Expert
**         only.
** ===================================================================
*/


/* END AD1. */

#endif /* ifndef __AD1 */
/*
** ###################################################################
**
**     This file was created by UNIS Processor Expert 03.51 for 
**     the Motorola HC08 series of microcontrollers.
**
** ###################################################################
*/
