/** ###################################################################
**     Filename  : Events.C
**     Project   : comparateurQT4
**     Processor : MC68HC908QT4CP
**     Beantype  : Events
**     Version   : Driver 01.03
**     Compiler  : Metrowerks HC08 C Compiler
**     Date/Time : 17/02/2005, 11:13
**     Abstract  :
**         This is user's event module.
**         Put your event handler code here.
**     Settings  :
**     Contents  :
**         AD1_OnEnd   - void AD1_OnEnd(void);
**         Cpu_OnSwINT - void Cpu_OnSwINT(void);
**
**     (c) Copyright UNIS, spol. s r.o. 1997-2004
**     UNIS, spol. s r.o.
**     Jundrovska 33
**     624 00 Brno
**     Czech Republic
**     http      : www.processorexpert.com
**     mail      : info@processorexpert.com
** ###################################################################*/
/* MODULE Events */

#pragma MESSAGE DISABLE C1420 /* WARNING C1420: Result of function-call is ignored */


#include "Cpu.h"
#include "Events.h"

//variables utilises ici :
 extern unsigned char Valeur;
 extern bool ValeurPrete;
 
/*
** ===================================================================
**     Event       :  AD1_OnEnd (module Events)
**
**     From bean   :  AD1 [ADC]
**     Description :
**         This event is called after a measurements (which consists
**         of <1 or more conversions>) is finished.
**     Parameters  : None
**     Returns     : Nothing
** ===================================================================
*/
void AD1_OnEnd(void)
{
  AD1_GetValue(&Valeur);  //rcupration de la valeur mesure
  AD1_Measure(FALSE);	  //on interdit toute autre mesure
                          //pendant le traitement de la valeur
                          //mesure
  ValeurPrete = TRUE ;	  //pour indiquer dans la boucle principale
                          //que la conversion est termine et que la
                          //valeur mesure est disponible
}


/*
** ===================================================================
**     Event       :  Cpu_OnSwINT (module Events)
**
**     From bean   :  Cpu [MC68HC908QT4]
**     Description :
**         This software event is called after software reset.
**     Parameters  : None
**     Returns     : Nothing
** ===================================================================
*/
void Cpu_OnSwINT(void)
{
  /* Write your code here ... */
}

/* END Events */

/*
** ###################################################################
**
**     This file was created by UNIS Processor Expert 03.51 for 
**     the Motorola HC08 series of microcontrollers.
**
** ###################################################################
*/
