/** ###################################################################
**     Filename  : comparateurQT4.C
**     Project   : comparateurQT4
**     Processor : MC68HC908QT4CP
**     Version   : Driver 01.08
**     Compiler  : Metrowerks HC08 C Compiler
**     Date/Time : 17/02/2005, 11:13
**     Abstract  :
**         Main module. 
**         Here is to be placed user's code.
**     Settings  :
**     Contents  :
**         No public methods
**
**     (c) Copyright UNIS, spol. s r.o. 1997-2004
**     UNIS, spol. s r.o.
**     Jundrovska 33
**     624 00 Brno
**     Czech Republic
**     http      : www.processorexpert.com
**     mail      : info@processorexpert.com
** ###################################################################*/
/* MODULE comparateurQT4 */


/* Including used modules for compilling procedure */
#include "Cpu.h"
#include "Events.h"
#include "AD1.h"
#include "Haut.h"
#include "Bas.h"
#include "Moyen.h"
/* Include shared modules, which are used for whole project */
#include "PE_Types.h"
#include "PE_Error.h"
#include "PE_Const.h"
#include "IO_Map.h"


// variables utilises : 
unsigned char Valeur ;
unsigned char Max = 150;       //Max et Min dfinissent la fentre
unsigned char Min = 100; 
bool ValeurPrete = FALSE;

void main(void)
{
  /*** Processor Expert internal initialization. DON'T REMOVE THIS CODE!!! ***/
  PE_low_level_init();
  /*** End of Processor Expert internal initialization.                    ***/
    
    AD1_Measure(TRUE);	  //pour lancer la conversion
   
#ifndef PE_OS_OSEK_SUPPORT
  for(;;){
  if (ValeurPrete)
    {        
  	    ValeurPrete =FALSE;
  	    
  	    if (Valeur > Max )
            {
                Haut_ClrVal();	  //on allume la Led "Haut"
                Moyen_SetVal();	  // les deux autres sont teintes
                Bas_SetVal();
            }
            
        if (Valeur >= Min  && Valeur <= Max )
            {
                Moyen_ClrVal();	  //on allume la Led "Moyen"
                Haut_SetVal();    //les deux autres sont teintes        
                Bas_SetVal();	  
            }
    
        if (Valeur < Min)
            {   
                Bas_ClrVal();	 //on allume la Led "Bas"
                Haut_SetVal();	 //les deux autres sont teintes
                Moyen_SetVal();	 
                
            }
        
        AD1_Measure(TRUE);    //pour lancer une nouvelle conversion
    }
  }
#else
  StartOS(Mode);                       /* Jump to OSEKturbo OS startup */
  /*DO NOT WRITE CODE BELOW THIS LINE*/
#endif PE_OS_OSEK_SUPPORT
}

/* END comparateurQT4 */
/*
** ###################################################################
**
**     This file was created by UNIS Processor Expert 03.51 for 
**     the Motorola HC08 series of microcontrollers.
**
** ###################################################################
*/
